Package io.vertx.ext.web.validation.builder

## Interface Parameters

-     public interface Parameters

  In this interface you can find all available `ParameterProcessorFactory` to use in `ValidationHandlerBuilder`.

  To create new schemas using `SchemaBuilder`, look at the docs of vertx-json-schema

- - ### Method Summary

    Static Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static StyledParameterProcessorFactory` | `deepObjectParam​(String parameterName, ObjectSchemaBuilder schemaBuilder)` | Creates a required deep object parameter.
    `static StyledParameterProcessorFactory` | `explodedParam​(String parameterName, ArraySchemaBuilder schemaBuilder)` | Creates a required exploded array parameter.
    `static StyledParameterProcessorFactory` | `explodedParam​(String parameterName, ObjectSchemaBuilder schemaBuilder)` | Creates a required exploded object parameter.
    `static StyledParameterProcessorFactory` | `explodedParam​(String parameterName, TupleSchemaBuilder schemaBuilder)` | Creates a required exploded tuple parameter.
    `static StyledParameterProcessorFactory` | `jsonParam​(String parameterName, SchemaBuilder builder)` | Creates a required parameter serialized as valid json
    `static StyledParameterProcessorFactory` | `optionalDeepObjectParam​(String parameterName, ObjectSchemaBuilder schemaBuilder)` | Creates an optional deep object parameter.
    `static StyledParameterProcessorFactory` | `optionalExplodedParam​(String parameterName, ArraySchemaBuilder schemaBuilder)` | Creates an optional exploded array parameter.
    `static StyledParameterProcessorFactory` | `optionalExplodedParam​(String parameterName, ObjectSchemaBuilder schemaBuilder)` | Creates an optional exploded object parameter.
    `static StyledParameterProcessorFactory` | `optionalExplodedParam​(String parameterName, TupleSchemaBuilder schemaBuilder)` | Creates an optional exploded tuple parameter.
    `static StyledParameterProcessorFactory` | `optionalJsonParam​(String parameterName, SchemaBuilder builder)` | Creates an optional parameter serialized as valid json
    `static ParameterProcessorFactory` | `optionalParam​(String parameterName, ArraySchemaBuilder schemaBuilder)` | Creates a new optional array parameter serialized as comma separated
    `static ParameterProcessorFactory` | `optionalParam​(String parameterName, BooleanSchemaBuilder schemaBuilder)` | Creates a new optional boolean parameter
    `static ParameterProcessorFactory` | `optionalParam​(String parameterName, NumberSchemaBuilder schemaBuilder)` | Creates a new optional number parameter.
    `static ParameterProcessorFactory` | `optionalParam​(String parameterName, ObjectSchemaBuilder schemaBuilder)` | Creates an optional object parameter serialized as comma separated, like `key1,value1,key2,value2`
    `static ParameterProcessorFactory` | `optionalParam​(String parameterName, SchemaBuilder schemaBuilder, io.vertx.ext.web.validation.impl.parser.ValueParser<String> valueParser)` | Creates an optional parameter providing a `ValueParser`
    `static ParameterProcessorFactory` | `optionalParam​(String parameterName, StringSchemaBuilder schemaBuilder)` | Creates a new optional string parameter
    `static ParameterProcessorFactory` | `optionalParam​(String parameterName, TupleSchemaBuilder schemaBuilder)` | Creates a new optional tuple parameter serialized as comma separated
    `static StyledParameterProcessorFactory` | `optionalSerializedParam​(String parameterName, ArrayParserFactory arrayParserFactory, ArraySchemaBuilder schemaBuilder)` | Creates an optional array parameter deserializable using the provided parser factory.
    `static StyledParameterProcessorFactory` | `optionalSerializedParam​(String parameterName, ObjectParserFactory objectParserFactory, ObjectSchemaBuilder schemaBuilder)` | Creates an optional object parameter deserializable using the provided parser factory.
    `static StyledParameterProcessorFactory` | `optionalSerializedParam​(String parameterName, TupleParserFactory tupleParserFactory, TupleSchemaBuilder schemaBuilder)` | Creates an optional tuple parameter deserializable using the provided parser factory.
    `static ParameterProcessorFactory` | `param​(String parameterName, ArraySchemaBuilder schemaBuilder)` | Creates a new required array parameter serialized as comma separated
    `static ParameterProcessorFactory` | `param​(String parameterName, BooleanSchemaBuilder schemaBuilder)` | Creates a new required boolean parameter
    `static ParameterProcessorFactory` | `param​(String parameterName, NumberSchemaBuilder schemaBuilder)` | Creates a new required number parameter.
    `static ParameterProcessorFactory` | `param​(String parameterName, ObjectSchemaBuilder schemaBuilder)` | Creates a required object parameter serialized as comma separated, like `key1,value1,key2,value2`
    `static ParameterProcessorFactory` | `param​(String parameterName, SchemaBuilder schemaBuilder, io.vertx.ext.web.validation.impl.parser.ValueParser<String> valueParser)` | Creates a required parameter providing a `ValueParser`
    `static ParameterProcessorFactory` | `param​(String parameterName, StringSchemaBuilder schemaBuilder)` | Creates a new required string parameter
    `static ParameterProcessorFactory` | `param​(String parameterName, TupleSchemaBuilder schemaBuilder)` | Creates a new required tuple parameter serialized as comma separated
    `static StyledParameterProcessorFactory` | `serializedParam​(String parameterName, ArrayParserFactory arrayParserFactory, ArraySchemaBuilder schemaBuilder)` | Creates a required array parameter deserializable using the provided parser factory.
    `static StyledParameterProcessorFactory` | `serializedParam​(String parameterName, ObjectParserFactory objectParserFactory, ObjectSchemaBuilder schemaBuilder)` | Creates a required object parameter deserializable using the provided parser factory.
    `static StyledParameterProcessorFactory` | `serializedParam​(String parameterName, TupleParserFactory tupleParserFactory, TupleSchemaBuilder schemaBuilder)` | Creates a required tuple parameter deserializable using the provided parser factory.

- - ### Method Detail

    - #### param

          static ParameterProcessorFactory param​(String parameterName,
                                                 NumberSchemaBuilder schemaBuilder)

      Creates a new required number parameter. Depending on the type provided in `schemaBuilder`, the parser will parse the number as `Long` or `Double`
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### optionalParam

          static ParameterProcessorFactory optionalParam​(String parameterName,
                                                         NumberSchemaBuilder schemaBuilder)

      Creates a new optional number parameter. Depending on the type provided in `schemaBuilder`, the parser will parse the number as `Long` or `Double`
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### param

          static ParameterProcessorFactory param​(String parameterName,
                                                 StringSchemaBuilder schemaBuilder)

      Creates a new required string parameter
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### optionalParam

          static ParameterProcessorFactory optionalParam​(String parameterName,
                                                         StringSchemaBuilder schemaBuilder)

      Creates a new optional string parameter
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### param

          static ParameterProcessorFactory param​(String parameterName,
                                                 BooleanSchemaBuilder schemaBuilder)

      Creates a new required boolean parameter
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### optionalParam

          static ParameterProcessorFactory optionalParam​(String parameterName,
                                                         BooleanSchemaBuilder schemaBuilder)

      Creates a new optional boolean parameter
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### param

          static ParameterProcessorFactory param​(String parameterName,
                                                 ArraySchemaBuilder schemaBuilder)

      Creates a new required array parameter serialized as comma separated
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### optionalParam

          static ParameterProcessorFactory optionalParam​(String parameterName,
                                                         ArraySchemaBuilder schemaBuilder)

      Creates a new optional array parameter serialized as comma separated
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### param

          static ParameterProcessorFactory param​(String parameterName,
                                                 TupleSchemaBuilder schemaBuilder)

      Creates a new required tuple parameter serialized as comma separated
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### optionalParam

          static ParameterProcessorFactory optionalParam​(String parameterName,
                                                         TupleSchemaBuilder schemaBuilder)

      Creates a new optional tuple parameter serialized as comma separated
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### param

          static ParameterProcessorFactory param​(String parameterName,
                                                 ObjectSchemaBuilder schemaBuilder)

      Creates a required object parameter serialized as comma separated, like `key1,value1,key2,value2`
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### optionalParam

          static ParameterProcessorFactory optionalParam​(String parameterName,
                                                         ObjectSchemaBuilder schemaBuilder)

      Creates an optional object parameter serialized as comma separated, like `key1,value1,key2,value2`
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### param

          static ParameterProcessorFactory param​(String parameterName,
                                                 SchemaBuilder schemaBuilder,
                                                 io.vertx.ext.web.validation.impl.parser.ValueParser<String> valueParser)

      Creates a required parameter providing a `ValueParser`
      Parameters:
        `parameterName` -
        `schemaBuilder` -
        `valueParser` -
      Returns:

    - #### optionalParam

          static ParameterProcessorFactory optionalParam​(String parameterName,
                                                         SchemaBuilder schemaBuilder,
                                                         io.vertx.ext.web.validation.impl.parser.ValueParser<String> valueParser)

      Creates an optional parameter providing a `ValueParser`
      Parameters:
        `parameterName` -
        `schemaBuilder` -
        `valueParser` -
      Returns:

    - #### jsonParam

          static StyledParameterProcessorFactory jsonParam​(String parameterName,
                                                           SchemaBuilder builder)

      Creates a required parameter serialized as valid json
      Parameters:
        `parameterName` -
        `builder` -
      Returns:

    - #### optionalJsonParam

          static StyledParameterProcessorFactory optionalJsonParam​(String parameterName,
                                                                   SchemaBuilder builder)

      Creates an optional parameter serialized as valid json
      Parameters:
        `parameterName` -
        `builder` -
      Returns:

    - #### serializedParam

          static StyledParameterProcessorFactory serializedParam​(String parameterName,
                                                                 ArrayParserFactory arrayParserFactory,
                                                                 ArraySchemaBuilder schemaBuilder)

      Creates a required array parameter deserializable using the provided parser factory. Look at `Parsers` for available parser factories
      Parameters:
        `parameterName` -
        `arrayParserFactory` -
        `schemaBuilder` -

    - #### optionalSerializedParam

          static StyledParameterProcessorFactory optionalSerializedParam​(String parameterName,
                                                                         ArrayParserFactory arrayParserFactory,
                                                                         ArraySchemaBuilder schemaBuilder)

      Creates an optional array parameter deserializable using the provided parser factory. Look at `Parsers` for available parser factories
      Parameters:
        `parameterName` -
        `arrayParserFactory` -
        `schemaBuilder` -

    - #### serializedParam

          static StyledParameterProcessorFactory serializedParam​(String parameterName,
                                                                 TupleParserFactory tupleParserFactory,
                                                                 TupleSchemaBuilder schemaBuilder)

      Creates a required tuple parameter deserializable using the provided parser factory. Look at `Parsers` for available parser factories
      Parameters:
        `parameterName` -
        `tupleParserFactory` -
        `schemaBuilder` -

    - #### optionalSerializedParam

          static StyledParameterProcessorFactory optionalSerializedParam​(String parameterName,
                                                                         TupleParserFactory tupleParserFactory,
                                                                         TupleSchemaBuilder schemaBuilder)

      Creates an optional tuple parameter deserializable using the provided parser factory. Look at `Parsers` for available parser factories
      Parameters:
        `parameterName` -
        `tupleParserFactory` -
        `schemaBuilder` -

    - #### serializedParam

          static StyledParameterProcessorFactory serializedParam​(String parameterName,
                                                                 ObjectParserFactory objectParserFactory,
                                                                 ObjectSchemaBuilder schemaBuilder)

      Creates a required object parameter deserializable using the provided parser factory. Look at `Parsers` for available parser factories
      Parameters:
        `parameterName` -
        `objectParserFactory` -
        `schemaBuilder` -

    - #### optionalSerializedParam

          static StyledParameterProcessorFactory optionalSerializedParam​(String parameterName,
                                                                         ObjectParserFactory objectParserFactory,
                                                                         ObjectSchemaBuilder schemaBuilder)

      Creates an optional object parameter deserializable using the provided parser factory. Look at `Parsers` for available parser factories
      Parameters:
        `parameterName` -
        `objectParserFactory` -
        `schemaBuilder` -

    - #### explodedParam

          static StyledParameterProcessorFactory explodedParam​(String parameterName,
                                                               ArraySchemaBuilder schemaBuilder)

      Creates a required exploded array parameter. Exploded parameters looks like `parameterName=item1 &parameterName=item2`
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### optionalExplodedParam

          static StyledParameterProcessorFactory optionalExplodedParam​(String parameterName,
                                                                       ArraySchemaBuilder schemaBuilder)

      Creates an optional exploded array parameter. Exploded parameters looks like `parameterName=item1 &parameterName=item2`
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### explodedParam

          static StyledParameterProcessorFactory explodedParam​(String parameterName,
                                                               TupleSchemaBuilder schemaBuilder)

      Creates a required exploded tuple parameter. Exploded parameters looks like `parameterName=item1 &parameterName=item2`
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### optionalExplodedParam

          static StyledParameterProcessorFactory optionalExplodedParam​(String parameterName,
                                                                       TupleSchemaBuilder schemaBuilder)

      Creates an optional exploded tuple parameter. Exploded parameters looks like `parameterName=item1 &parameterName=item2`
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### explodedParam

          static StyledParameterProcessorFactory explodedParam​(String parameterName,
                                                               ObjectSchemaBuilder schemaBuilder)

      Creates a required exploded object parameter. Exploded parameters looks like `key1=value1&key2=value2`
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### optionalExplodedParam

          static StyledParameterProcessorFactory optionalExplodedParam​(String parameterName,
                                                                       ObjectSchemaBuilder schemaBuilder)

      Creates an optional exploded object parameter. Exploded parameters looks like `key1=value1&key2=value2`
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### deepObjectParam

          static StyledParameterProcessorFactory deepObjectParam​(String parameterName,
                                                                 ObjectSchemaBuilder schemaBuilder)

      Creates a required deep object parameter. Deep object parameters looks like `parameterName[key1]=value1 &parameterName[key2]=value2`
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns:

    - #### optionalDeepObjectParam

          static StyledParameterProcessorFactory optionalDeepObjectParam​(String parameterName,
                                                                         ObjectSchemaBuilder schemaBuilder)

      Creates an optional deep object parameter. Deep object parameters looks like `parameterName[key1]=value1 &parameterName[key2]=value2`
      Parameters:
        `parameterName` -
        `schemaBuilder` -
      Returns: